Page MenuHomePhabricator

WV: broken group name in layers for ExternalData
Closed, ResolvedPublic

Description

In WikiVoyage, create this link, click it, and click the layers button. Groups is broken.

<maplink group=mask>
{
  "type": "ExternalData",
  "service": "geomask",
  "ids": "Q60"
}
</maplink>

Screenshot

Expected behavior

  • Instead of:

Group: {"type":"ExternalData","service":"geomask","url":"https://maps.wikimedia.org/geoshape?getgeojson=1&ids=Q60"}

  • It should show:

Wikidata: Q60

Event Timeline

Yurik created this task.Dec 1 2016, 5:45 AM
Restricted Application added a project: Discovery. · View Herald TranscriptDec 1 2016, 5:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Wrh2 added a subscriber: Wrh2.Dec 1 2016, 6:56 AM
Yurik removed a project: Maps.Dec 15 2016, 4:38 AM
JGirault updated the task description. (Show Details)Dec 20 2016, 6:53 PM
JGirault claimed this task.Feb 9 2017, 10:28 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.

Patch to mapdata first: https://gerrit.wikimedia.org/r/#/c/336930/

Once that is merged, I'll make the update to Kartographer repository to consume the new version.

Change 336938 had a related patch set uploaded (by JGirault):
Bump wikimedia-mapdata lib to v4.0.0

https://gerrit.wikimedia.org/r/336938

Change 336938 merged by jenkins-bot:
Bump wikimedia-mapdata lib to v4.0.0

https://gerrit.wikimedia.org/r/336938

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Feb 14 2017, 9:44 PM
JGirault closed this task as Resolved.Apr 17 2017, 8:16 PM

Works now, but I created T163146 to review a couple of things.